package com.ruiwenliu.wrapper.http;

import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.base.BaseView;
import io.reactivex.observers.DisposableObserver;
import okhttp3.ResponseBody;
import retrofit2.Response;

/**
 * Created by Amuse
 * Data:2019/1/9 0009
 * Desc:
 */

public class RxRequestResult2<T extends BaseBean, V extends BaseView<T>> extends DisposableObserver<Response<ResponseBody>> {

    public RxRequestResult2() {

    }

    @Override
    public void onNext(Response<ResponseBody> response) {

    }

    @Override
    public void onError(Throwable e) {

    }

    @Override
    public void onComplete() {

    }
}